Bug 182075 - anaconda doesn't prefer to fdisk commands in %pre section
anaconda doesn't prefer to fdisk commands in %pre section
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: James Antill
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-20 03:10 EST by Robinson Tiemuqinke
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-22 23:42:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robinson Tiemuqinke 2006-02-20 03:10:25 EST
Description of problem:

 anaconda seems confused at fdisk commands in %pre section in ks.cfg. The 
fdisk command does run, but the partitions created with fdisk can not be 
mounted, even though file systems are created.

Version-Release number of selected component (if applicable):
The default installation FC4 installation media.

How reproducible:
Every time.

Steps to Reproduce:
1. put the following commands in %pre section in ks.cfg:
cat <<FDISKEND > /tmp/fdisk.txt
## sub commands will be input for fdisk to create partitions
o
...
wq
FDISKEND
dd if=/dev/zero of=/dev/sda bs=512 count=1024 ## zero out mbr again.
fdisk /dev/sda < /tmp/fdisk.txt
...

##In the normal ks.cfg partition definition I have the following file system 
defined.

part / --fstype ext3 --onpart sda1
part swap --onpart sda6
part swap --onpart sda7
part swap --onpart sda8
part /usr --fstype ext3 --onpart sda5
part /example --fstype ext3 --onpart sda9
part /var --fstype ext3 --onpart sda10
part /0 --fstype ext3 --noformat --onpart sda11
...

 
2. Have a look of the installation screens after press "ctrl-alt-F2", "ctrl-
alt-F2", ... "ctrl-alt-F5". it shows that the file systems are created and no 
errors are thrown out.

3. run "df -k" on the interactive shell screen, but it doesn't show entries 
for /mnt/sysimage/{usr,var,example,0} that will normally show if we use the 
default graphical partitioning screens for interactive installation.
  
Actual results:

"df -k" shown only the /mnt/sysimage entry, and so the installation in fact 
install FC4 OS into memory! not onto hard disk!



Expected results:

"df -k" should report all file systems defined in ks.cfg. like:
/mnt/sysimage
/mnt/sysimage/usr
/mnt/sysimage/var
/mnt/sysimage/example
/mnt/sysimage/0


Additional info:
Comment 1 Jeremy Katz 2006-02-20 15:49:09 EST
Can you provide your full ks.cfg as well as /tmp/anaconda.log from the installer?
Comment 3 James Antill 2007-05-22 23:42:19 EDT
 >12 months with no info.

Note You need to log in before you can comment on or make changes to this bug.